Skip to main content
GET
/
api
/
user
/
{uid}
Get user by UID
curl --request GET \
  --url https://dev.exante.app/api/user/{uid} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "status_code": 200,
  "message": "Success",
  "data": {
    "user": {
      "id": "<string>",
      "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstname": "<string>",
      "lastname": "<string>",
      "fullname": "<string>",
      "email": "<string>",
      "access_status": "pending",
      "avatar": "<string>",
      "first_seen": "2023-11-07T05:31:56Z",
      "last_seen": "2023-11-07T05:31:56Z"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string<uuid>
required

User UID

Response

Public user profile

status
string
Example:

"success"

status_code
integer
Example:

200

message
string
Example:

"Success"

data
object